## org.eclipse.amp.escape.ide
Class PluginTemplateProjectWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.amp.escape.ide.PluginProjectWizard
              org.eclipse.amp.escape.ide.PluginTemplateProjectWizard

All Implemented Interfaces:
  org.eclipse.jface.wizard.IWizard, org.eclipse.ui.INewWizard, org.eclipse.ui.IWorkbenchWizard

Direct Known Subclasses:
  EscapeJavaPluginProjectWizard

    public class PluginTemplateProjectWizard

extends PluginProjectWizard

Creates a plugin project, copying manifest nad build properties from templates in the overriding wizard's plugin.

Author:
  milesparker

Field Summary

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`PluginTemplateProjectWizard()`

Method Summary
`void` `copyFiles(org.eclipse.core.runtime.IPath srcFileLoc, org.eclipse.core.runtime.IPath destFileLoc, org.eclipse.amp.escape.ide.PluginTemplateProjectWizard.StringPair[] pairs)` Copies a file from the source (Eclipse runtime) plugin into the destination (user workspace) project.
`void` `createFiles()`
`java.io.InputStream` `streamFromPlugin(java.lang.String pluginID, java.lang.String path)` Finds and opens a stream for reading from the plugin path.

Methods inherited from class org.eclipse.amp.escape.ide.PluginProjectWizard
`addBuilders, addClasspaths, addPages, getNatures, getPluginID, getProject, getProjectTypeName, getSourceDirName, init, performFinish`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Constructor Detail

### PluginTemplateProjectWizard

    public PluginTemplateProjectWizard()

Method Detail

### createFiles

    public void createFiles()
                     throws org.eclipse.core.runtime.CoreException,
                            java.io.IOException

  Overrides:
    `createFiles` in class `PluginProjectWizard`
  Throws:
    `org.eclipse.core.runtime.CoreException`
    `java.io.IOException`

### copyFiles

    public void copyFiles(org.eclipse.core.runtime.IPath srcFileLoc,
                          org.eclipse.core.runtime.IPath destFileLoc,
                          org.eclipse.amp.escape.ide.PluginTemplateProjectWizard.StringPair[] pairs)
                   throws org.eclipse.core.runtime.CoreException,
                          java.io.IOException

  Copies a file from the source (Eclipse runtime) plugin into the destination (user workspace) project.

  Parameters:
    `srcFileLoc` - plugin project relative path for source file
    `destFileLoc` - user project relative path for destination file
    `pairs` - an array of pairs specifying a template string replacements
  Throws:
    `org.eclipse.core.runtime.CoreException`
    `java.io.IOException`

### streamFromPlugin

    public java.io.InputStream streamFromPlugin(java.lang.String pluginID,
                                                java.lang.String path)

  Finds and opens a stream for reading from the plugin path.

  Parameters:
    `pluginID` -
    `path` -
  Returns: